php-resource



Zurück   PHP-Scripte PHP-Tutorials PHP-Jobs und vieles mehr > Sonstiges > Off-Topic Diskussionen
 

Login

 
eingeloggt bleiben
star Jetzt registrieren   star Passwort vergessen
 

 

 


Off-Topic Diskussionen Kein Platz für Deine Frage gefunden? Dann bist Du hier genau richtig!

Antwort
 
LinkBack Themen-Optionen Thema bewerten
  #1 (permalink)  
Alt 12-10-2007, 10:30
dani_o
 PHP Senior
Links : Onlinestatus : dani_o ist offline
Registriert seit: Jun 2003
Ort: Lichtenstein/Sa.
Beiträge: 1.599
dani_o befindet sich auf einem aufstrebenden Ast
Standard Nur ma ne meinung wissen will

Angenommen ich biete ein skript kostenlos an und für dieses wird eine dll in php benötigt, die nicht unbedingt auf jedem webspace installiert ist. Ist es okay wenn man sagt - entweder du hast es oder kansst s nicht nutzen - oder sollte man als ersteller des skriptes doch lieber versuchen das ganze umzuprogrammieren, damit es auch bsp auf php 4 läuft !?!
__________________
Signatur-Text ...
Mit Zitat antworten
  #2 (permalink)  
Alt 12-10-2007, 11:18
arkos
 PHP Senior
Links : Onlinestatus : arkos ist offline
Registriert seit: Feb 2003
Ort: hamburg
Beiträge: 1.015
arkos ist zur Zeit noch ein unbeschriebenes Blatt
Standard

würd ich nicht so generell beantworten können. das liegt ganz schwer daran, für wen dieses script sein soll. für n computerbild-user wärs wohl eher zu viel verlangt. für n serveradmin sollte es kein problem darstellen...
__________________
**********
arkos
**********
Mit Zitat antworten
  #3 (permalink)  
Alt 12-10-2007, 11:25
dani_o
 PHP Senior
Links : Onlinestatus : dani_o ist offline
Registriert seit: Jun 2003
Ort: Lichtenstein/Sa.
Beiträge: 1.599
dani_o befindet sich auf einem aufstrebenden Ast
Standard

tja, sagen wir mal für nen normalen webmaster? das prob iss nich an sich das Script selber sondern diese dll-Datei. Habe das Script auf dem neuen Xampp-Server entwickelt. Dieser hat ja alles was man will. Nun hab ich das auf nem 1&1 webspace ausprobiert und - uff- da ging alles außer ein bereich - und das nur wegen dieser dll ....
__________________
Signatur-Text ...
Mit Zitat antworten
  #4 (permalink)  
Alt 12-10-2007, 12:01
arkos
 PHP Senior
Links : Onlinestatus : arkos ist offline
Registriert seit: Feb 2003
Ort: hamburg
Beiträge: 1.015
arkos ist zur Zeit noch ein unbeschriebenes Blatt
Standard

was wäre denn die voraussetzung für diese dll?
du schreibst ja auch, ob ma es für php4 umprogrammieren sollte.
das würde ich ehrlich gesagt nicht machen...

"vorraussetzung php5" geht voll ok!
__________________
**********
arkos
**********
Mit Zitat antworten
  #5 (permalink)  
Alt 12-10-2007, 12:07
PHP-Desaster
 PHP Expert
Links : Onlinestatus : PHP-Desaster ist offline
Registriert seit: Mar 2006
Beiträge: 3.105
PHP-Desaster befindet sich auf einem aufstrebenden Ast
Standard

Es hängt davon ab, wie nötig diese Extension für dich ist.
Angenommen, du hast ein Skript gebastelt, welches vollkommen PDO benötigt. Dann macht es natürlich keinen Sinn, die PDO-Extension nicht zu verlangen.
Hast du hingegen ein FTP-Skript mit der Möglichkeit, Zip-Dateien zu erstellen und die zip-Extension ist nicht da, dann ist das lange nicht so wichtig. Vielleicht reicht es dem Anwender an der Stelle auch, wenn die Zip-Funktion deaktiviert wird und lediglich ein kleiner Hinweis ausgegeben wird.

Vielleicht sagst du etwas genauer, worum es geht!
Mit Zitat antworten
  #6 (permalink)  
Alt 12-10-2007, 12:07
dani_o
 PHP Senior
Links : Onlinestatus : dani_o ist offline
Registriert seit: Jun 2003
Ort: Lichtenstein/Sa.
Beiträge: 1.599
dani_o befindet sich auf einem aufstrebenden Ast
Standard

die voraussetzung der dll iss die zlip_dll .
einige funktionen benötigen zudem php 5.2 bzw aufwärts. Ohne die dll ist das installieren von sachen über den browser net möglich - aber genau das sollte ja da sein - schade weiß net wies auf anderen servern aussieht aba 1&1 bekommts bsp net hin!
__________________
Signatur-Text ...
Mit Zitat antworten
  #7 (permalink)  
Alt 12-10-2007, 12:11
dani_o
 PHP Senior
Links : Onlinestatus : dani_o ist offline
Registriert seit: Jun 2003
Ort: Lichtenstein/Sa.
Beiträge: 1.599
dani_o befindet sich auf einem aufstrebenden Ast
Standard

meinen xml-parser hab ich ja mitlerweile "runter"-programmiert - somit funzt wenigstens das system auch ohne php5 - nur eben nicht diese Klasse mit dem entpacken - die geht echt nur mit der dll - die restlichen fehler kann ich ja mit errror_reporting(0) ausblenden
__________________
Signatur-Text ...
Mit Zitat antworten
  #8 (permalink)  
Alt 12-10-2007, 14:11
Hopka
 PHP Expert
Links : Onlinestatus : Hopka ist offline
Registriert seit: May 2003
Ort: Köln
Beiträge: 2.172
Hopka ist zur Zeit noch ein unbeschriebenes Blatt
Hopka eine Nachricht über ICQ schicken
Standard

Das nennt man "Systemvoraussetzungen". Wenn der Server des angehenden Users die Voraussetzungen nicht erfüllt, hat er Pech gehabt.

Bei Computerspielen z.B. steht ja auch drauf, was man für einen Rechner braucht - und wenn man einen zu schlechten Rechner hat, kann man's nicht spielen.


Wie viele Dinge du voraussetzt, bleibt natürlich dir überlassen. Je weniger speziell die Voraussetzungen sind, desto mehr User werden dein Script nutzen können, aber desto mehr Arbeit hast du in der Regel auch bei der Entwicklung.
__________________
hopka.net!
Mit Zitat antworten
  #9 (permalink)  
Alt 12-10-2007, 14:54
dani_o
 PHP Senior
Links : Onlinestatus : dani_o ist offline
Registriert seit: Jun 2003
Ort: Lichtenstein/Sa.
Beiträge: 1.599
dani_o befindet sich auf einem aufstrebenden Ast
Standard

Zitat:
Original geschrieben von Hopka
Wie viele Dinge du voraussetzt, bleibt natürlich dir überlassen. Je weniger speziell die Voraussetzungen sind, desto mehr User werden dein Script nutzen können, aber desto mehr Arbeit hast du in der Regel auch bei der Entwicklung.
Joah dacht ich mir auch - das prob iss dann echt das ich alles umprogrammieren müsste - das ist glaub ich eh zuviel aufwand. okay danke für eure meinungen - ich denk ich mach nen hinweis dazu, wie man das von hand ohne diese dll macht - somit können auch die das nutzen, die diese dll nicht installiert haben.
__________________
Signatur-Text ...
Mit Zitat antworten
  #10 (permalink)  
Alt 12-10-2007, 17:36
Lennie
 PHP Senior
Links : Onlinestatus : Lennie ist offline
Registriert seit: May 2006
Beiträge: 1.013
Lennie ist zur Zeit noch ein unbeschriebenes Blatt
Standard

mittlerweile ist es nichts neues mehr, das man bei open source software im bereich webanwendungen viele voraussetzungen vorfindet. das sind im grundlegen 1 datenbank, x mb webspace... aber auch sachen wie php5. Durch die fortschritte in php5 zu php4 gerade in der webentwicklung ist es mittlerweile vertretbar als vorraussetzung php5 aufzulisten, aber möchtest du das wirklich?

Wenn die möglichkeit steht das ganze noch php4 konform zu realisieren würde ich es für die nächsten 3 jahre auch noch so zu machen, damit verdoppelt sich praktisch deine zielgruppe an möglichen nutzern und interessenten.
__________________
Webdesign und Webentwicklung - Plunix.de
Mit Zitat antworten
  #11 (permalink)  
Alt 12-10-2007, 18:04
TobiaZ
  Moderator
Links : Onlinestatus : TobiaZ ist offline
Registriert seit: Jan 2001
Ort: MUC und MGL, Germany
Beiträge: 34.421
Blog-Einträge: 1
TobiaZ befindet sich auf einem aufstrebenden Ast
Standard

Wenn ich mir JETZT gedanken über die Voraussetzungen eines Projektes mache, dann kann ich PHP4 wohl bewusst in die Tonne drücken!
__________________
ERST LESEN: Unsere Regeln. | Ich hab schon Pferde kotzen sehn!

READ THIS: Strings richtig trennen/verbinden | JOINs, das leidige Thema | Wegwerf E-Mail Adressen

Ich werde keinen privaten 1:1 Support leisten, außer ich biete ihn ausdrücklich an.

Wenn man sich selbst als "Noob" bezeichnet, sollte man die Finger davon lassen.
Wenn man gewillt ist daran etwas zu ändern, lernt man Grundlagen!
Mit Zitat antworten
  #12 (permalink)  
Alt 12-10-2007, 21:55
PHP-Desaster
 PHP Expert
Links : Onlinestatus : PHP-Desaster ist offline
Registriert seit: Mar 2006
Beiträge: 3.105
PHP-Desaster befindet sich auf einem aufstrebenden Ast
Standard

Zitat:
Original geschrieben von TobiaZ
Wenn ich mir JETZT gedanken über die Voraussetzungen eines Projektes mache, dann kann ich PHP4 wohl bewusst in die Tonne drücken!
und schon mal in Richtung PHP6 zielen! Sehe ich genau so!

Für unsere Projekte setzen wir meist gewisse Extensions voraus, da die Vorteile einfach überwiegen. Aber unsere Zielgruppe sind auch eher Großkunden mit eigenen Serversystemen
Mit Zitat antworten
Antwort

Lesezeichen


Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)
 

Themen-Optionen
Thema bewerten
Thema bewerten:

Forumregeln
Es ist Ihnen nicht erlaubt, neue Themen zu verfassen.
Es ist Ihnen nicht erlaubt, auf Beiträge zu antworten.
Es ist Ihnen nicht erlaubt, Anhänge hochzuladen.
Es ist Ihnen nicht erlaubt, Ihre Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are an


PHP News

Die RIGID-FLEX-Technologie
Die RIGID-FLEX-TechnologieDie sogenannte "Flexible Elektronik" , oftmals auch als "Flexible Schaltungen" bezeichnet, ist eine zeitgemäße Technologie zum Montieren von elektronischen Schaltungen.

06.12.2018 | Berni

ebiz-trader 7.5.0 mit PHP7 Unterstützung veröffentlicht
ebiz-trader 7.5.0 mit PHP7 Unterstützung veröffentlichtDie bekannte Marktplatzsoftware ebiz-trader ist in der Version 7.5.0 veröffentlicht worden.

28.05.2018 | Berni


 

Aktuelle PHP Scripte

HeidiSQL - kostenloses MySQL front-end Editor für Windows ansehen HeidiSQL - kostenloses MySQL front-end Editor für Windows

HeidiSQL - ist ein Windows-Editor für die bekannt open Source Datenbank mySQL

10.12.2018 Berni | Kategorie: MYSQL/ Management
piwik Open-Source Webanalyse-Software ansehen piwik Open-Source Webanalyse-Software

piwik ist eine gute Alternative zu Google Analytics. Viele Features und ein modernes Erscheinungsbild mit aussagefähigen Statistiken in Echtzeit

10.12.2018 phpler | Kategorie: PHP/ Besucherzaehler
jQuery Mobile ansehen jQuery Mobile

Touch-Optimized Web Framework für Smartphones & Tablets

09.12.2018 phpler | Kategorie: AJAX/ Framework
 Alle PHP Scripte anzeigen

Alle Zeitangaben in WEZ +2. Es ist jetzt 23:13 Uhr.